- Create a User Generated Content item
List the authenticated user's submitted User Generated Content
Get a User Generated Content item
Update, publish, or archive a User Generated Content item
Get a rendered preview of a User Generated Content item, including moderation status
Duplicate a User Generated Content item into a new draft
Get composer configuration and metadata needed to submit User Generated Content
List audiences available for targeting User Generated Content
List topics available for User Generated Content submission
Get a pre-signed upload URL for a media attachment
Get preview metadata for a link attachment
Create a User Generated C...
Creates a new User Generated Content item authored by the authenticated user. The item may be created as a draft or submitted directly as published, depending on the publication_state provided.
Security
oauth2_as_a_user(Required scopes: content.write)
Attributes of the User Generated Content item to create.
- US1https://partner.socialchorus.com/v2/ugc/contents
- US2https://partner.us2.onfirstup.com/v2/ugc/contents
- EUhttps://partner.onfirstup.eu/v2/ugc/contents
curl -i -X POST \
https://partner.socialchorus.com/v2/ugc/contents \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"title": "string",
"body": "string",
"summary": "string",
"content_cover": {},
"topic_ids": [
0
],
"attachments": [
{}
],
"notification_channels": {},
"is_translatable": true,
"is_commentable": true,
"is_shareable": true,
"publication_state": "draft"
}'Response
{ "data": {} }